
Figure - Bug #116554
【BSP】【EVT3】【ST】【Tlog】tlog_package 执行重启后，打包未完成时重启设备，日志丢失
2023-02-25 17:52 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-25

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: 0077

Resolution: WONTFIX Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: 查看日志发现，日志没有丢失，只是应为删除逻辑有问题被删除了

Description

Description

【前提条件】

None

【测试步骤】

1. 每次执行adb reboot 压测

2. *#147#，勾选Android log

3. 点击start 然后点击stop

4. 查看tlog

【预期结果】

4 tlog能抓取到开机后的所有

【实际结果】

4 tlog_package路径下，没有生成新的tlog_package压缩包

如图中：995 和996两次

tlog_sts40x190142_995_0223103419.tar 能保存出正确的重启次数

但是FSEM_984_0983_1677119551133.tar 却没有最新的进行对应

History

#1 - 2023-02-25 19:17 - CDTS_TEST 王成

- Priority changed from Normal to High

- Severity changed from Normal to Major

#2 - 2023-02-27 11:15 - 移动测试一组_CDTS 刘强

- Category changed from BSP to SYSTEM

#3 - 2023-02-28 14:32 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#4 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#5 - 2023-03-08 11:47 - CD SYSTEM-夏旭
查看打包脚本，是先进行的打包，打包完成之后才会进行文件删除，

日志丢失应该是其他的原因导致的

#6 - 2023-03-10 17:29 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

手动抓取的压缩包不包含本次开机的压缩包，

运行的脚本是80秒重启一次，tlog开机进行打包，怀疑还没有进行打包就重启了，所以建议把脚本改成5分钟重启在进行测试

#7 - 2023-03-10 18:03 - CD SYSTEM-夏旭

- Need_Info changed from -- to TEST

#8 - 2023-03-22 11:26 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-夏旭

5分钟reboot一次，日志可以正常打包，但会出现被删除的情况，由11655 跟踪删除问题，该问题可以关闭

#9 - 2023-03-22 11:38 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Need_Info changed from TEST to --

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Fixed Version set to 2023-03-22

- Root cause set to 查看日志发现，日志没有丢失，只是应为删除逻辑有问题被删除了

#10 - 2023-03-22 13:40 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据以上备注，关闭此issue

#11 - 2023-03-22 13:40 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
